#!/usr/bin/env bash

# exit when any command fails, echo commands
set -ex

# TODO: Convert into Makefile?

# TODO: Ensure conda environment is okay.
# conda install openjdk

if ! command -v pajv; then
    npm install -g pajv
fi

if [ ! -f ditaa-0.11.0-standalone.jar ]; then
    wget https://github.com/stathissideris/ditaa/releases/download/v0.11.0/ditaa-0.11.0-standalone.jar
fi

if [ ! -f vodslparser-0.4.0.jar ]; then
    wget https://repo1.maven.org/maven2/org/javastro/vodsl/vodslparser/0.4.0/vodslparser-0.4.0.jar
fi

pushd src/vodml || exit
    java -jar ../../vodslparser-0.4.0.jar micado.vodsl
    sed "s|<lastModified>.*</lastModified>|<lastModified>1970-01-01T00:00:00Z</lastModified>|" -i micado.vo-dml.xml
popd || exit

python src/micado/toolbox/yaml_from_did.py
python src/micado/toolbox/python_from_vodml.py
python src/micado/toolbox/rst_from_python.py
python src/micado/toolbox/ditaa_from_wise.py

for fn_ditaa in docs/source/generated/*.ditaa; do
    fn_base=$(basename "${fn_ditaa}" ".ditaa")
    fn_png="${fn_base}.png"
    java -jar ditaa-0.11.0-standalone.jar "${fn_ditaa}" --no-shadows "docs/source/generated/${fn_png}"
done

pushd src/datainterface || exit
pajv -s dicschema.hierarchical.json -d "yaml/*.hierarch.*" -m metaschema.json;
pajv -s dicschema.flat.json -d "yaml/*.flat.*" -m metaschema.json;
popd || exit

pushd docs || exit
make html
popd || exit

