# -*- coding: utf-8 -*-
"""
Hardware that represents a thing. E.g. a Detector.
"""

from micado.main.Hardware import Hardware, persistent


class HardwareThing(Hardware):
    """
    Hardware that represents a thing. E.g. a Detector.

    This class is necessary to overload scopesim_dictionary.
    """
    dummy3 = persistent("dummy3", str, "")

    @property
    def scopesim_dictionary(self):
        """
        Create ScopeSIM dictionary from value.
        """
        dd = super(HardwareThing, self).scopesim_dictionary
        kwargs = dd.pop('kwargs')
        # Remove parameters like filename, globalname.
        effects = [
            dict(**effect, **{"name": name})
            for name, effect in kwargs.items()
            if isinstance(effect, dict)
        ]
        dd['effects'] = effects
        return dd
