"""
Module with IMAGE_RAW DataItem.
"""

from common.database.DBMain import persistent
from micado.main.Raw import Raw


class Image(Raw):
    """
    IMAGE_RAW DataItem

    https://docs.google.com/spreadsheets/d/1BbQkf8l8fCPSYf7skE8y0GC2UMK8kPWBkjY0ojhZqVs/edit#gid=751586500&range=7:7
    """

    # raw_fits_data: RawFitsData = persistent('The multi-extension raw image [None]', RawFitsData, None)
    # extension: int = persistent('The extension to extract [None]', int, 1)

    OBJECT: str = persistent('Object name [None]', str, '')
    OBSERVER: str = persistent('The observer [None]', str, '')
    # DATE_OBS: datetime = persistent('UTC date at the start of the observation [None]', datetime, datetime(1990, 1, 1))
    # MJD_OBS: float = persistent(
    #     'Modified Julian date at the start of the observation (JD-2400000.5) [day]', float, float('NaN'))
    # LST: float = persistent(
    #     'Local sidereal time at the start of the observation expressed as the'
    #     ' number of seconds (a float) since UTC midnight [sec]',
    #     float, float('NaN'))
    # UTC: float = persistent(
    #     'Universal Coordinated Time (UTC) at the start of the observation '
    #     'expressed as the number of seconds (a float) since UTC midnight [sec]',
    #     float, float('NaN'))

    # instrument: Instrument = persistent('Information about the instrument [None]', Instrument, None)
    # observing_block: ObservingBlock = persistent('Information about the observing block [None]', ObservingBlock, None)
    # template: Template = persistent('Information about the template [None]', Template, None)

    # filter: Filter = persistent('Information about the filter [None]', Filter, None)
    # astrom: Astrom = inline('Information about the astrometry [None]', Astrom, None)
    # EXPTIME: float = persistent('Total observation time [sec]', float, float('NaN'))
    # AIRMSTRT: float = persistent('Airmass at start of observation [None]', float, float('NaN'))
    # AIRMEND: float = persistent('Airmass at end of observation [None]', float, float('NaN'))
    # process_params: RawScienceFrameParameters = persistent(
    #  'Processing Parameters [None]', RawScienceFrameParameters, None)
    # seeing: float = persistent('The calculated seeing for this frame [arcsec]', float, 0.0)
