# -*- coding: utf-8 -*-
"""
Recipes.
"""

import re

from micado.main.MObject import MObject, persistent


class Recipe(MObject):
    """
    A Recipe.

    Recipe instances store all process parameters of the recipe.
    """

    dummyr: int = persistent("Dummy to fool database [None]", int, -4)

    @classmethod
    def name_eso(cls):
        """
        Name according to ESO standards. E.g. mcd_det_dark.
        """
        # From https://stackoverflow.com/a/1176023/2097
        n1 = cls.__name__
        n2 = re.sub('(.)([A-Z][a-z]+)', r'\1_\2', n1)
        n3 = re.sub('([a-z0-9])([A-Z])', r'\1_\2', n2).lower()
        return n3
