# -*- coding: utf-8 -*-
"""
Apply Persistence Correction.

For each detector adapt the extensions as follows:

* SCI: Subtract the SCI layer of the Persistence image.
* VAR: Add the VAR layer of the Persistence image.
* DQ: XOR with the DQ layer of the Persistence image.

TODO: Ensure that the external Persistence map meets these requirements.


This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.recipes.CreateVarDqLayers import CreateVarDqLayers
from micado.dataitems.Persistence import Persistence


class ApplyPersistence(RecipeStep):
    """
    Apply Persistence Correction.
    
    For each detector adapt the extensions as follows:
    
    * SCI: Subtract the SCI layer of the Persistence image.
    * VAR: Add the VAR layer of the Persistence image.
    * DQ: XOR with the DQ layer of the Persistence image.
    
    TODO: Ensure that the external Persistence map meets these requirements.
    
    """

    dummy_applypersistence = persistent("dummy [None]", int, 42)

    raw = persistent("A Raw [None]", CreateVarDqLayers, None)

    persistence = persistent("Persistence Image [None]", Persistence, None)
