# -*- coding: utf-8 -*-
"""
Create variance and data quality layers.

Add two extensions for each image extension in the input raw:

* A variance layer called 'VAR' with a copy of the image pixels.
* A 32-bit data quality layer called 'DQ' with all zeros.

The original extension is called the 'SCI' extension.

TODO: Describe names of the layers better. And is layout 3*9 or 9*3?


This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.main.Raw import Raw


class CreateVarDqLayers(RecipeStep):
    """
    Create variance and data quality layers.
    
    Add two extensions for each image extension in the input raw:
    
    * A variance layer called 'VAR' with a copy of the image pixels.
    * A 32-bit data quality layer called 'DQ' with all zeros.
    
    The original extension is called the 'SCI' extension.
    
    TODO: Describe names of the layers better. And is layout 3*9 or 9*3?
    
    """

    dummy_createvardqlayers = persistent("dummy [None]", int, 42)

    raw = persistent("A Raw [None]", Raw, None)
