# -*- coding: utf-8 -*-
"""
Derive MasterDark.

Create a new MasterDark image with the following extensions (for each detector):

* SCI: Median of the input raw dark SCI extensions.
* VAR: Mean of the input raw dark VAR extensions.
* DQ: XOR of input raw dark DQ extensions XORed with the hot pixel mask.

Where the hot pixel masks is defined as TODO


This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.recipes.ApplyPersistence import ApplyPersistence


class DeriveMasterDark(RecipeStep):
    """
    Derive MasterDark.
    
    Create a new MasterDark image with the following extensions (for each detector):
    
    * SCI: Median of the input raw dark SCI extensions.
    * VAR: Mean of the input raw dark VAR extensions.
    * DQ: XOR of input raw dark DQ extensions XORed with the hot pixel mask.
    
    Where the hot pixel masks is defined as TODO
    
    """

    dummy_derivemasterdark = persistent("dummy [None]", int, 42)

    thresh_lowlim_dark = persistent("Lower threshold of dark values [adu]", float, 0.0)

    thresh_uplim_dark = persistent("Upper threshold of dark values [adu]", float, 0.0)

    darks = persistent("A list of persistence corrected Darks [None]", ApplyPersistence, [])
