# -*- coding: utf-8 -*-
"""
mcd_det_dark
"""

import numpy
from micado.dataitems.MasterDark import MasterDark
from micado.dataitems.MasterDarkExtension import MasterDarkExtension


def make(self: MasterDark):
    """
    mcd_det_dark
    """
    self.extensions = []
    oexts = [d.extensions for d in self.darks]
    for darks in zip(*oexts):
        images = [dark.image for dark in darks]
        nexte = MasterDarkExtension(
            NAXIS=darks[0].NAXIS,
            NAXIS1=darks[0].NAXIS1,
            NAXIS2=darks[0].NAXIS2,
            BITPIX=darks[0].BITPIX,
        )
        nexte.image = numpy.median(images, axis=0)
        self.extensions.append(nexte)
