# -*- coding: utf-8 -*-
"""
Tests for MasterDark.py
"""

from common.database.Context import context
from micado.dataitems.Dark import Dark
from micado.dataitems.MasterDark import MasterDark


def test_dependencies():
    """
    Test setting dependencies.
    """
    dark1 = Dark()
    dark2 = Dark()
    masterdark1 = MasterDark()
    masterdark1.darks = [dark1, dark2]
    masterdark1.commit()

    oid = masterdark1.object_id.binary()
    masterdark2 = MasterDark(object_id=oid)
    dark1b, dark2b = masterdark2.darks

    assert dark1.object_id.binary() == dark1b.object_id.binary()
    assert dark2.object_id.binary() == dark2b.object_id.binary()

    context.delete(masterdark1, True)
    context.delete(dark1, True)
    context.delete(dark2, True)
